package io.renren.modules.app.service.impl;


import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.JkbzDao;
import io.renren.modules.app.entity.JkbzEntity;
import io.renren.modules.app.service.JkbzService;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;


@Service("jkbzService")
public class JkbzServiceImpl extends ServiceImpl<JkbzDao, JkbzEntity> implements JkbzService {


    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param jkbzEntity
     * @return
     */
    @Override
    public PageInfo<JkbzEntity> queryByPage(Integer pageNum, Integer pageSize, JkbzEntity jkbzEntity) {
        PageHelper.startPage(pageNum, pageSize);
        List<JkbzEntity> jkbzEntitys = baseMapper.queryByPage(jkbzEntity);
        PageInfo<JkbzEntity> pageInfo = new PageInfo<JkbzEntity>(jkbzEntitys);
        return pageInfo;
    }

    /**
    * 单个或批量删除
    * @param ids
    */
    @Override
    public void deleteBatch(String[] ids) {
        this.deleteBatchIds(Arrays.asList(ids));
    }

	@Override
	public String querybm() {
		
		return baseMapper.querybm();
	}


}